Skip to main content
Version: v2

Years

What are years?​

We use a years resource to tie together all of the data that we have for a given year and to make it easily queryable.

List all years​

To list all of the years and browse them via the API, use the list endpoint:

GET /api/v2/years

Get a year​

You may also directly retrieve a year's details if you already have its system ID.

GET /api/v2/years/123

Where 123 is the system ID of the year.

Schema​

Full response schema​

KeyTypeFilterableSortableConfigurableDescription
idinteger✅ (exact)✅✅The system ID.
yearinteger✅ (exact)✅✅The year (name).
has_ogilvy_impactboolean✅✅✅If the year should have Ogilvy Impact data available.
created_atstring❌✅✅A datetime string when this year was first created.
updated_atstring(updated since)✅✅A datetime string when this year was last updated.

Relationship Response Schema​

The slim relationship schema is used when the year is used as part of an include in another resource.

KeyTypeDescription
idintegerThe system ID for the year.
yearstringThe year (name).

Searching​

This endpoint supports searching. See the searching section for more details.